abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 20:33 | Nová verze

Společnost NVIDIA oficiálně vydala verzi 10.0 toolkitu CUDA (Wikipedie) umožňujícího vývoj aplikací běžících na jejich grafických kartách. Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
dnes 20:00 | Upozornění

Příspěvek Jak přežít plánovanou údržbu DNS na blogu zaměstnanců CZ.NIC upozorňuje na historicky poprvé podepsání DNS root zóny novým klíčem dne 11. října 2018 v 18:00. Software, který nebude po tomto okamžiku obsahovat nový DNSSEC root klíč, nebude schopen resolvovat žádná data. Druhým důležitým datem je 1. února 2019, kdy významní výrobci DNS softwaru, také historicky poprvé, přestanou podporovat servery, které porušují DNS standard

… více »
Ladislav Hagara | Komentářů: 0
dnes 15:55 | Pozvánky

Spolek OpenAlt zve příznivce otevřených řešení a přístupu na 156. brněnský sraz, který proběhne v pátek 21. září od 18:00 v restauraci Na Purkyňce na adrese Purkyňova 80.

Ladislav Hagara | Komentářů: 0
dnes 13:22 | Nová verze

Alan Griffiths z Canonicalu oznámil vydání verze 1.0.0 display serveru Mir (GitHub, Wikipedie). Mir byl představen v březnu 2013 jako náhrada X serveru a alternativa k Waylandu. Dnes Mir běží nad Waylandem a cílen je na internet věcí (IoT).

Ladislav Hagara | Komentářů: 0
včera 22:00 | Nasazení Linuxu
Stabilní aktualizace Chrome OS 69 (resp. Chromium OS), konkrétně 69.0.3497.95, přináší mj. podporu linuxových aplikací. Implementována je pomocí virtualizace, a proto je tato funkce také omezena na zařízení s dostatkem paměti a podporou hardwarové akcelerace, tudíž nejsou podporovány chromebooky s 32bitovými architekturami ARM, či Intel Bay Trail (tzn. bez Intel VT-x).
Fluttershy, yay! | Komentářů: 5
včera 21:32 | Zajímavý projekt
Došlo k uvolnění linuxové distribuce CLIP OS, vyvíjené francouzským úřadem pro kybernetickou bezpečnost ANSSI, jako open source. Vznikla za účelem nasazení v úřadech, kde je potřeba omezit přístup k důvěrným datům. Je založená na Gentoo.
Fluttershy, yay! | Komentářů: 1
včera 16:00 | Komerce

Zjistěte více o bezpečné a flexibilní architektuře v cloudu! IBM Cloud poskytuje bezpečné úložiště pro Vaše obchodní data s možností škálovatelnosti a flexibilitou ukládání dat. Zároveň nabízí prostředky pro jejich analýzu, vizualizaci, reporting a podporu rozhodování.

… více »
Fluttershy, yay! | Komentářů: 12
včera 12:22 | Nová verze

V dubnu letošního roku Mozilla představila webový prohlížeč pro rozšířenou a virtuální realitu Firefox Reality (GitHub). V úterý oznámila vydání verze 1.0. Ukázka na YouTube. Firefox Reality je k dispozici pro Viveport, Oculus a Daydream.

Ladislav Hagara | Komentářů: 2
včera 12:00 | Komunita

V srpnu loňského roku společnost Oracle oznámila, že Java EE (Enterprise Edition) bude uvolněna jako open source. O měsíc později bylo rozhodnuto, že tato open source Java EE bude přejmenována a předána Eclipse Foundation. Nové jméno bylo oznámeno v únoru letošního roku. Z Java EE se stala Jakarta EE. Eclipse Foundation včera oznámila dosažení dalšího milníku. Zdrojové kódy aplikačního serveru GlassFish jsou již k dispozici v git repozitářích Eclipse Foundation (GitHub).

Ladislav Hagara | Komentářů: 0
19.9. 23:55 | Komunita

LTS (Long Term Support) podpora Ubuntu 12.04 LTS (Precise Pangolin) skončila po 5 letech od jeho vydání, tj. v dubnu 2017. V březnu 2017 ale Canonical představil placenou ESM (Extended Security Maintenance) podporu, díky které je Ubuntu 12.04 podporováno do dubna 2020. Dnes Canonical potvrdil ESM podporu také pro Ubuntu 14.04 LTS (Trusty Tahr), jehož LTS podpora skončí v dubnu 2019.

Ladislav Hagara | Komentářů: 0
Na optické médium (CD, DVD, BD aj.) jsem naposledy vypaloval(a) data před méně než
 (13%)
 (14%)
 (20%)
 (23%)
 (25%)
 (4%)
 (1%)
Celkem 383 hlasů
 Komentářů: 33, poslední 16.9. 11:55
Rozcestník

Dotaz: Mint 18.3 - jak správně aktualizovat jádro?

Petr Fiedler avatar 6.9. 22:45 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Mint 18.3 - jak správně aktualizovat jádro?
Přečteno: 422×

Zdarec,
chci se zeptat, jak správně ručně aktualizovat jádro? Tadynapř. jsou ke stažení balíky jádra 4.18.5:

linux-headers-4.18.5-041805_4.18.5-041805.201808241320_all.deb
linux-headers-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb
linux-headers-4.18.5-041805-lowlatency_4.18.5-041805.201808241320_amd64.deb
linux-image-unsigned-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb
linux-image-unsigned-4.18.5-041805-lowlatency_4.18.5-041805.201808241320_amd64.deb
linux-modules-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb
linux-modules-4.18.5-041805-lowlatency_4.18.5-041805.201808241320_amd64.deb

Podle mě by se měly nainstalovat všechny balíky kromě těch třech "lowlatency". Takže kompletní příkaz do terminálu by pak měl vypadat takto:

cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.5/linux-headers-4.18.5-041805_4.18.5-041805.201808241320_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.5/linux-headers-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.5/linux-image-unsigned-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.5/linux-modules-4.18.5-041805-generic_4.18.5-041805.201808241320_amd64.deb; sudo dpkg -i *.deb

Je to takhle v pořádku?

Četl jsem, že /tmp by měl být prázdný. Tím je myšleno, aby tam nebyly balíky kernelu z minulého upgrade, že? Jiné adresáře tam můžou zůstat, ne?

Taky jsem četl, že záleží na pořadí, v jakém se balíky instalují. Někdo psal, že tak, jak jsem uvedl. Někdo jiný psal, že napřed se musí nainstalovat balík modules, jinak by se prý nevytvořily závislosti. Schválně jsem nainstaloval aktualizaci jádra ze správce aktualizací a podíval se do /var/log/apt/history.log a tam balík modules nainstalován jako první nebyl. Tedy pokud "nastavuje se balík" znamená instaluje se ten balík? Tady je výpis toho logu:

Log started: 2018-09-06  19:34:19
Vybírá se dosud nevybraný balík linux-headers-4.15.0-33.
(Načítá se databáze … 
(Načítá se databáze … 5%
(Načítá se databáze … 10%
(Načítá se databáze … 15%
(Načítá se databáze … 20%
(Načítá se databáze … 25%
(Načítá se databáze … 30%
(Načítá se databáze … 35%
(Načítá se databáze … 40%
(Načítá se databáze … 45%
(Načítá se databáze … 50%
(Načítá se databáze … 55%
(Načítá se databáze … 60%
(Načítá se databáze … 65%
(Načítá se databáze … 70%
(Načítá se databáze … 75%
(Načítá se databáze … 80%
(Načítá se databáze … 85%
(Načítá se databáze … 90%
(Načítá se databáze … 95%
(Načítá se databáze … 100%
(Načítá se databáze … nyní je nainstalováno 253365 souborů a adresářů.)
Připravuje se nahrazení …/linux-headers-4.15.0-33_4.15.0-33.36~16.04.1_all.deb …
Rozbaluje se linux-headers-4.15.0-33 (4.15.0-33.36~16.04.1) …
Vybírá se dosud nevybraný balík linux-headers-4.15.0-33-generic.
Připravuje se nahrazení …/linux-headers-4.15.0-33-generic_4.15.0-33.36~16.04.1_amd64.deb …
Rozbaluje se linux-headers-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Vybírá se dosud nevybraný balík linux-modules-4.15.0-33-generic.
Připravuje se nahrazení …/linux-modules-4.15.0-33-generic_4.15.0-33.36~16.04.1_amd64.deb …
Rozbaluje se linux-modules-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Vybírá se dosud nevybraný balík linux-image-4.15.0-33-generic.
Připravuje se nahrazení …/linux-image-4.15.0-33-generic_4.15.0-33.36~16.04.1_amd64.deb …
Rozbaluje se linux-image-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Vybírá se dosud nevybraný balík linux-modules-extra-4.15.0-33-generic.
Připravuje se nahrazení …/linux-modules-extra-4.15.0-33-generic_4.15.0-33.36~16.04.1_amd64.deb …
Rozbaluje se linux-modules-extra-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Nastavuje se balík linux-headers-4.15.0-33 (4.15.0-33.36~16.04.1) …
Nastavuje se balík linux-headers-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Nastavuje se balík linux-modules-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Nastavuje se balík linux-image-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.10.0-42-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-4.10.0-42-generic
I: /vmlinuz is now a symlink to boot/vmlinuz-4.15.0-33-generic
I: /initrd.img is now a symlink to boot/initrd.img-4.15.0-33-generic
Nastavuje se balík linux-modules-extra-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
Zpracovávají se spouštěče pro balík linux-image-4.15.0-33-generic (4.15.0-33.36~16.04.1) …
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-33-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
Warning: No support for locale: cs_CZ.utf8
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.15.0-33-generic
Found initrd image: /boot/initrd.img-4.15.0-33-generic
Found linux image: /boot/vmlinuz-4.10.0-42-generic
Found initrd image: /boot/initrd.img-4.10.0-42-generic
Found linux image: /boot/vmlinuz-4.10.0-38-generic
Found initrd image: /boot/initrd.img-4.10.0-38-generic
Found Windows 10 (loader) on /dev/sda1
Found linux image: /boot/vmlinuz-4.15.0-33-generic
Found initrd image: /boot/initrd.img-4.15.0-33-generic
Found linux image: /boot/vmlinuz-4.10.0-42-generic
Found initrd image: /boot/initrd.img-4.10.0-42-generic
Found linux image: /boot/vmlinuz-4.10.0-38-generic
Found initrd image: /boot/initrd.img-4.10.0-38-generic
Found Windows 10 (loader) on /dev/sda1
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 10 (loader) on /dev/sda1
done
Log ended: 2018-09-06  19:34:48

A co říkáte na tohle? Je to reakce na tohle. Má to tedy smysl instalovat, nebo je lepší instalovat aktualizace jádra jen ze správce aktualizací, i když ta verze nebude úplně aktuální? Podle mě je asi lepší aktualizovat ručně hned jak to jde.

A co rc kernel? Ano, nebo ne? Já se tomu celou dobu raději vyhýbám.


Řešení dotazu:


Odpovědi

6.9. 23:02 debian+
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
A co říkáte na tohle? Je to reakce na tohle. Má to tedy smysl instalovat, nebo je lepší instalovat aktualizace jádra jen ze správce aktualizací, i když ta verze nebude úplně aktuální? Podle mě je asi lepší aktualizovat ručně hned jak to jde.
Skor nechat na distro, pokial pouzivas jednu z top distier. Ak nieco ozaj vazne, tak sa aj v distribucii aktualizuje (ak sa spravne aktualizujes a mas nastavene distro, resp. spravne sa co sa tyka bezpecnosti tykas).

Ak si to doteraz nebol nuteny pouzit najnovsie jadro, tak najskor ani absolutne najnovsie jadro nebudes potrebovat. ... Ale aktualizuj si ak su nove verzie (pokial ti to dovolia ovladace grafiky). ... Zas absolutne neaktulizovat nie je dobre, lebo aj v jadre sa sem tam napriklad vylepsuje vykon, zefektivnuju nieco atd.

Moj nazor ...
Petr Fiedler avatar 6.9. 23:23 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Zdarec,
četl jsi ty články, na které jsem odkazoval? Hlavně ten poslední?

6.9. 23:46 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Zapomeň na to co někdo říkal, jsou to blbosti, žádný závislosti se nevytvářej jen se to kopíruje do příslušných míst, závislosti se vytvářejí při kompilaci tyhle balíky už jsou zkompilovány. Pokud ti vše funguje vyčkej na standardní aktualizační proces a nedělej si tam zbytečný bordel. Všechny ty balíky jsou od stejné verze kernelu ale jinak zkonfigurované, třeba lowlatenci je vhodné pro hudební profesionály nebo mobilní zařízení jinak stačí obecně zkonfigurovaný "generic". Pokud nemáš potřebu zvlášť kompilovat externí ovladač nepotřebuješ balík "headers", pokud nepotřebuješ exotické ovladače v balíku "modules" je zbytečné ho instalovat. Takže ti stačí "linux-image .. generic" který se ti stejně zanedlouho objeví sám v distribuci, až uzná distribuční správce, že nedelá nová verze problémy a navíc je označená jako "stable".
Petr Fiedler avatar 7.9. 00:09 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
... žádný závislosti se nevytvářej jen se to kopíruje do příslušných míst, závislosti se vytvářejí při kompilaci tyhle balíky už jsou zkompilovány.
Víš co je zajímavé? Než jsem aktualizoval jádro ze správce aktualizací - 4.15.0.33, tak jsem měl nainstalované jádro 4.17.5, které jsem instaloval z Ukuu. Dnes jsem spustil Ukuu a nainstaloval jádro 4.18.6. Při aktualizaci to vypsalo, že se něco (nevím co) nezdařilo, protože nebyly splněny závislosti. Nicméně jádro se nainstalovalo. Ale ani jsem nezkusil, jestli bude fungovat a rovnou jsem je odinstaloval. Každopádně nebyly splněny nějaké závislosti. To jsem tam jasně četl.
7.9. 00:31 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Při aktualizaci to vypsalo, že se něco (nevím co) nezdařilo, protože nebyly splněny závislosti. .. Každopádně nebyly splněny nějaké závislosti.
Tak ano, chápal jsem to v jiném smyslu. Některé balíky jako headers mají volitelné závislosti, přepokládá se že balík použiješ pro sestavování modulu, kde pořebuješ i některé programátorské nástroje. Ale pro samotný obraz a jeho instalaci nepotřebuješ nic co bys už tam neměl.
7.9. 09:45 debian+
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
daco take sa stalo pred tyzdnom v debiane, ze nanainstalovalo nove jadro ... tusim daco bolo s nastavovanim grub ... neriesil ... pockal som tyzden a bolo vsetko ok (zatial som fical na starsom jadre) ... uz to stihli opravit (debian testing)
vencour avatar 6.9. 23:57 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Nabootujete nakonec jen jedno jádro, víte, jaké chcete? Generic nebo lowlatency? V gentoo mám v configu co chci a "make && make modules_install install" to spáchá taky, co chci, když už mám dobře nalinkovaný zdrojáky. Čili v /boot mam vmlinuz apod., ve /lib64/modules mam potřebný moduly.
Takže co chcete použít, tak takové balíky nainstalujete. A ano, třeba neni pro Vás aktuální, ale pokud obsahuje potřebné opravy, tak by to mohlo stačit.
Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.
Petr Fiedler avatar 7.9. 00:22 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
... víte, jaké chcete? Generic nebo lowlatency?

Soudím, že generic. Ještě dnes ráno jsem o lowlatency neměl ani potuchy. A nic mi do teď nescházelo. Takže generic je asi pro mne dostačující.

A ano, třeba neni pro Vás aktuální, ale pokud obsahuje potřebné opravy, tak by to mohlo stačit.
No, pokud je klíčové slovo.
7.9. 00:46 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
On tím myslel, pokud tvá současná verze nedělá problémy vykašli se na to, tím nechce říct, že bys něco podělal ale že s tím budeš ztrácej jen čas, bez prokazetelného výsledku.
Petr Fiedler avatar 7.9. 16:45 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

A já tím myslel, pokud tam všechny ty potřebné opravy vývojáři implementovali.

7.9. 06:24 MadCatX
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
  1. Plky nějakých náhodných jedinců z LM fóra směle ignoruj, vetšinou mají stejnou kvalitu a validitu jako to, co plodíme zde na ABCL, tedy nevalnou.
  2. Pokud chceš brát bezpečnost vážně, nainstaluj místo LM Ubuntu LTS (pokud chceš mít Debian-based distro).
  3. Jádro samotné nemá z bezpečností až tolik společného. Ne, že by se v něm občas nenašly i závažné bezpečnostní chyby ale daleko průserovější jsou věci z userspace. Navíc platí, že do starších větví jader se bezpečnostní opravy backportují, takže jaderné balíčky jsou v rozumných distribucích v principu nejméně problémové.
  4. rc jádra- určitě ne!
  5. Pokud chceš systém, kde se software aktualizuje "hned, jak to jde", nainstaluj si nějaké rolling distro (Arch, Manjaro, Debian Testing/Unstable, OpenSuSE Tumbleweed, ...)
Petr Fiedler avatar 7.9. 13:52 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
  1. Plky nějakých náhodných jedinců z LM fóra směle ignoruj, vetšinou mají stejnou kvalitu a validitu jako to, co plodíme zde na ABCL, tedy nevalnou.

A to vztahuješ i na sebe? :-D:-D

7.9. 14:40 MadCatX
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Samozřejmě. Chtěl jsem tím hlavně říct, že víc než žvástům podivných osob pochybné kvalifikace je daleko lepší přečíst si oficiální dokumentace, Wiki projektů atp. Když nic jiného, aspoň je psali lidi, co ten který software vytvořili a můžeš si na jejich základě udělat vlastní názor. IMHO je to daleko lepší, než věřit tomu, co někdo plácne kamsi na fórum.
Petr Fiedler avatar 7.9. 15:40 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

U lidí pochybné kvalifikace je to jasné. Máš ale i lidi, co dovedou dobře poradit. Mají to nastudováno a znají to i z praxe. Ale je jasné, že číst dokumentaci je lepší. U mne je ale problém, že neumím anglicky. Lze to řešit strojově, ale někdo je to tedy opravdu hrozně kostrbaté. Někdy bych to měl problém pochopit i v češtině, natož kostrbatě Eng > Cze. A někdy to nechápu ani v češtině. Např. manuálové stránky. Když prostě neznáš tu terminologii, tak tomu nerozumíš. U mě to chce prostě čas, no. A hlavně, když tohle překonáš, tak pak nemusíš nikoho obtěžovat a cítit se špatně a taky už můžeš radit ty druhým.

7.9. 19:41 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Man pages nejsou dokumentace ale spíš taháky. Dokumentace je HOW-TO tldp.org nebo akzuualizovanější Wiki projektu a nebo nejčerstvější dokumentace dodávaná s balíkem kterou najdeš v /usr/doc/.
Petr Fiedler avatar 7.9. 20:24 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Já vím, že manuálové stránky nejsou dokumentace. Proto jsem napsal "Např.". Ale o /use/doc/ jsem nevěděl. Za to díky!

7.9. 19:34 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Tak, tak.
Petr Fiedler avatar 7.9. 16:13 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
  1. Pokud chceš brát bezpečnost vážně, nainstaluj místo LM Ubuntu LTS (pokud chceš mít Debian-based distro).

Nahlodal jsi mě změnit distro. Přemýšlím ale spíše o Debianu (stable). Otázkou je, jestli se mi jej podaří odladit. Potřebuji nutně lupu, velký kurzor myši a opačný kontrast - tmavé pozadí a světlý text.

Asi se do toho rovnou dám. Pokud by někdo měl nějakou dobrou radu, budu za ní rád.

Řešení 1× (Petr Fiedler (tazatel))
k3dAR avatar 7.9. 06:25 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
1. ano nainstalovat vse krome lowlatency coz je alternativa k generic pro specialni situace

2. muzes ukladat kam chces (do /tmp nebo kamkoliv jinam), prazdne to byt nemusi, ale pokud tam budou jiz nejake *.deb, tak instalaci pomoci "dpkg -i *.deb" budes samozrejme instalovat i to, takze bud si predem predchozi *.deb smaz, nebo instaluj pres "dpkg -i linux*.deb", coz samozrejme nepomuze tomu pokud bys tam jiz mel predchozi linux*.deb balicky :-)
zjednodusene, muzes dale instalovat pomoci neoficialniho GUI nastroje k ubuntu/kernel-ppa/mainline jadrum "ukuu"

3. na "tohle(1)" rikam ze to zalezi v podstate na tobe, je dobre si uvedomit, ze: a) jadro z repositare obsahuje Ubuntu zaplaty, at jiz takove co Canonical tam mit chce, nebo takove co vylepsuji neco kolem *buntu, neznamena to ze je nutne potrebujes, nicmene nezkoumal sem jake se ted pouzivaji a zda opravdu v necem nepomahaji ceho by byla skoda se vdat...
b) pokud pouzijes rucni instalaci mainline jadra a/nebo pouzijes ukuu (kterej dela to same, jen snadneji), tak (viz a.) nemas ty prislusne *bunti patche na jadro, coz muze nebo nemusi vadit i v zavislosti na HW, nebo situace ktere muzes/nemusis narazit
c) pokud nepouzivas novej HW, kterej by aktualni-distribucni jadro nepodporovalo, nemas v podstate moc duvodu nutne resit nova jadra, bezpecnostni chyby jsou backportovany i do tech stavajicich/distribucnich, mohlo by te teoreticky zajimat treba lepsi podpora grafik od AMD a/nebo Intel, ale k tomu zaroven bys musel nahravat i novejsi (mimo systemove repositare) balicky pro Mesa a X.Org...

4. ad "podle me je asi lepsi aktualizovat" tam nejde o jadro, ale obecne aby jsi aktualizoval vsechny ve vsech sytemovych repositarich dostupne baliky, nevim jestli to tam Mint18 jeste ma(myslim ze od toho upustili), ale v Mint17 byli aktualizace rozdelene do neco jako hodne_dulezite/stredne_dulezite/malo_dulezite/nedulezite a uzivatel si mohl nastavit ktere se mu maji instalovat, za me je vhodne proste instalovat vsechno i kdyz by to bylo malo/ne-dulezite... to ale neznamena ze musis dodavat nove verze programu a/nebo jadra ktere v systemovych repositarich nejsou !... resp. nove verze programu doporucuju jen u tech ktere vyzadujes/chces nove vlastnosti, za me treba (pouzivam) nekolik PPA pro: LibreOffice, GIMP, Inkscape, Kodi, Geary, Byobu...
porad nemam telo, ale uz mam hlavu... nobody
Řešení 1× (Petr Fiedler (tazatel))
k3dAR avatar 7.9. 06:30 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
ad rc jadro, MadCatX pise "urcite ne", ja to doplnim, RC znamena "Release Candidate", tedy "Kandidat na vydani", nicmene tech kandidatu je u jadra vzdy vice a na "produkcni" (at jiz pracovne ci soukrome) stroj to nepatri, NICMENE, opet pokud bys mel TOTALNE novej HW, kterej nejen ze distribucnim, ale ani mainline poslednim stabilnim NEni podporovan, tak ma vyznam zkusit RC aby jsi videl zda/jak se to zlepsuje a/nebo mohl ten HW vubec pouzivat, pokud mas ale HW kterej beha s jadrem 4.15 je opravdu zbytecne (z praktickeho duvodu) zkouset (treba)4.19rc...
porad nemam telo, ale uz mam hlavu... nobody
Petr Fiedler avatar 7.9. 13:35 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
zjednodusene, muzes dale instalovat pomoci neoficialniho GUI nastroje k ubuntu/kernel-ppa/mainline jadrum "ukuu"

Před časem jsem na stránkách LM CZ&SK četl, že Ukuu pracuje na pozadí, i když se neprovádí aktualizace jádra. Jeden člověk tam psal, že kromě dotazování se programu na případnou novou verzi jádra program taky odesílá nějaké statistiky. To mne znechutilo a Ukuu jsem odinstaloval. Včera jsem se ten příspěvek na stránkách LM snažil najít, ale nenašel. A nenašel jsem o tom ani žádné info na síti. Víš o tom něco prosím tě?

Jinak vím, že s Ukuu je to snažší, ale tak bych se toho moc nenaučil. Co se IT týče, často si volím trnitější cestu, protože mne to posouvá. Mohl jsem koupit nový router a ušetřit si starosti, čas a půlku peněz, co mě stál nový hw na flešnutí fw, ale nic z toho bych pak neuměl ;-)

Petr Fiedler avatar 7.9. 13:20 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Děkuji všem za odpovědi. Až bude čas, tak přečtu znovu, popřemýšlím a když tak se ještě na něco zeptám.

Chtěl jsem si zkusit ručně aktualizovat jádro a dopadlo to takhle:

~ $ cd /tmp; wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-headers-4.18.6-041806_4.18.6-041806.201809050847_all.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-headers-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-image-unsigned-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-modules-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb; sudo dpkg -i linux*.deb
--2018-09-07 12:51:49--  http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-headers-4.18.6-041806_4.18.6-041806.201809050847_all.deb
Překládám kernel.ubuntu.com (kernel.ubuntu.com)… 91.189.94.216
Navazuje se spojení s kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:80… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 200 OK
Délka: 10318140 (9,8M) [application/x-debian-package]
Ukládám do: „linux-headers-4.18.6-041806_4.18.6-041806.201809050847_all.deb“

linux-headers-4.18.6- 100%[=======================>]   9,84M  5,43MB/s    in 1,8s    

2018-09-07 12:51:50 (5,43 MB/s) – „linux-headers-4.18.6-041806_4.18.6-041806.201809050847_all.deb“ uloženo [10318140/10318140]

--2018-09-07 12:51:50--  http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-headers-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb
Využívám existující spojení s kernel.ubuntu.com:80.
HTTP požadavek odeslán, program čeká na odpověď… 200 OK
Délka: 1114116 (1,1M) [application/x-debian-package]
Ukládám do: „linux-headers-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“

linux-headers-4.18.6- 100%[=======================>]   1,06M  6,22MB/s    in 0,2s    

2018-09-07 12:51:51 (6,22 MB/s) – „linux-headers-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“ uloženo [1114116/1114116]

--2018-09-07 12:51:51--  http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-image-unsigned-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb
Využívám existující spojení s kernel.ubuntu.com:80.
HTTP požadavek odeslán, program čeká na odpověď… 200 OK
Délka: 8157564 (7,8M) [application/x-debian-package]
Ukládám do: „linux-image-unsigned-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“

linux-image-unsigned- 100%[=======================>]   7,78M  6,00MB/s    in 1,3s    

2018-09-07 12:51:52 (6,00 MB/s) – „linux-image-unsigned-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“ uloženo [8157564/8157564]

--2018-09-07 12:51:52--  http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.18.6/linux-modules-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb
Využívám existující spojení s kernel.ubuntu.com:80.
HTTP požadavek odeslán, program čeká na odpověď… 200 OK
Délka: 45015816 (43M) [application/x-debian-package]
Ukládám do: „linux-modules-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“

linux-modules-4.18.6- 100%[=======================>]  42,93M  5,97MB/s    in 7,2s    

2018-09-07 12:51:59 (5,97 MB/s) – „linux-modules-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb“ uloženo [45015816/45015816]

KONEC --2018-09-07 12:51:59--
Celkový skutečný čas: 11s
Staženo: 4 souborů, 62M za 10s (5,89 MB/s)
Vybírá se dosud nevybraný balík linux-headers-4.18.6-041806-generic.
(Načítá se databáze … nyní je nainstalováno 220856 souborů a adresářů.)
Připravuje se nahrazení linux-headers-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb …
Rozbaluje se linux-headers-4.18.6-041806-generic (4.18.6-041806.201809050847) …
Vybírá se dosud nevybraný balík linux-headers-4.18.6-041806.
Připravuje se nahrazení linux-headers-4.18.6-041806_4.18.6-041806.201809050847_all.deb …
Rozbaluje se linux-headers-4.18.6-041806 (4.18.6-041806.201809050847) …
Vybírá se dosud nevybraný balík linux-image-unsigned-4.18.6-041806-generic.
Připravuje se nahrazení linux-image-unsigned-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb …
Rozbaluje se linux-image-unsigned-4.18.6-041806-generic (4.18.6-041806.201809050847) …
Vybírá se dosud nevybraný balík linux-modules-4.18.6-041806-generic.
Připravuje se nahrazení linux-modules-4.18.6-041806-generic_4.18.6-041806.201809050847_amd64.deb …
Rozbaluje se linux-modules-4.18.6-041806-generic (4.18.6-041806.201809050847) …
dpkg: nesplněné závislosti zamezily konfiguraci balíku linux-headers-4.18.6-041806-generic:
 linux-headers-4.18.6-041806-generic závisí na libssl1.1 (>= 1.1.0); avšak:
  Balík libssl1.1 není nainstalován.

dpkg: chyba při zpracovávání balíku linux-headers-4.18.6-041806-generic (--install):
 problém se závislostmi - nechávám nezkonfigurované
Nastavuje se balík linux-headers-4.18.6-041806 (4.18.6-041806.201809050847) …
Nastavuje se balík linux-modules-4.18.6-041806-generic (4.18.6-041806.201809050847) …
Nastavuje se balík linux-image-unsigned-4.18.6-041806-generic (4.18.6-041806.201809050847) …
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.15.0-33-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-4.15.0-33-generic
I: /vmlinuz is now a symlink to boot/vmlinuz-4.18.6-041806-generic
I: /initrd.img is now a symlink to boot/initrd.img-4.18.6-041806-generic
Zpracovávají se spouštěče pro balík linux-image-unsigned-4.18.6-041806-generic (4.18.6-041806.201809050847) …
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.18.6-041806-generic
W: Possible missing firmware /lib/firmware/i915/skl_dmc_ver1_27.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_04.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cnl_dmc_ver1_07.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_39.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver9_29.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver9_33.bin for module i915
Warning: No support for locale: cs_CZ.utf8
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.18.6-041806-generic
Found initrd image: /boot/initrd.img-4.18.6-041806-generic
Found linux image: /boot/vmlinuz-4.15.0-33-generic
Found initrd image: /boot/initrd.img-4.15.0-33-generic
Found Windows 10 (loader) on /dev/sda1
Found linux image: /boot/vmlinuz-4.18.6-041806-generic
Found initrd image: /boot/initrd.img-4.18.6-041806-generic
Found linux image: /boot/vmlinuz-4.15.0-33-generic
Found initrd image: /boot/initrd.img-4.15.0-33-generic
Found Windows 10 (loader) on /dev/sda1
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 10 (loader) on /dev/sda1
done
Při zpracování nastaly chyby:
 linux-headers-4.18.6-041806-generic
user@host /tmp $

Došlo k chybě, protože nebyl nainstalován balík libssl1.1. Stačí teď ten balík doinstalovat, nebo musím napřed odinstalovat balíky, které jsem nainstaloval, pak nainstalovat libssl1.1 a pak můžu teprve znovu aktualizovat jádro?

Pokud se bude napřed odinstalovávat, provedu to takhle?

sudo apt-get purge linux-image-4.18.6-*

Raději se ptám, než abych rozbil systém.

Petr Fiedler avatar 7.9. 13:45 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Jinak to jádro naběhlo.

~ $ uname -r
4.18.6-041806-generic
Petr Fiedler avatar 7.9. 15:23 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Nedalo mi to a pustil jsem se do toho sám a už je to vyřešeno. Napřed:

sudo apt-get purge linux-image-4.18.6-*

Pak jsem nainstaloval ten balík libssl1.1 a pak jsem aktualizoval jádro zpět na 4.18.6. Při instalaci jsem ani nedodržel pořadí těch balíků a jádro šlape.

Ještě se chci zeptat:

  1. Ten balík libssl1.1 jsem stáhl odsud (odkaz security.ubuntu.com/ubuntu). Je to tak v pořádku, nebo jsem jej kvůli aktualizacím měl přidat do zdrojů?
  2. Při update-initramfs se zobrazuje:
    W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
    W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
    Tady o tom píšou, že se jedná o ovladače k procesorům Broxton a Kabylake. Protože mám Skylake, tak to můžu v klidu ignorovat, že jo? Nebo je v tom nějaký háček?

7.9. 19:54 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
fw: je to jen upozornění a máš pravdu ignorovat.
k3dAR avatar 7.9. 23:46 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
- kdyz instalujes neco pres "dpkg -i balicek.deb" tak se neresej zavislosti (a nevadi poradi v kterej nazvy souboru za "dpkg -i" napises), nicmene po nainstalovani se to resi tim ze nechas opravis porusene zavislosti, coz automaticky doinstaluje schazejici balicky (pokud lze situaci vyresit doinstalovanim, jsou dostupne balicky a v takove/nebo_v_rozsahu pozadovane verze):
sudo apt install -f

- kdyz uz si linux-image-4.18* odinstaloval, nemel si pak porusene zavislosti a libssl1.1 bys nainstaloval normalne bez potrebu to stahovat rucne:
sudo apt install libssl1.1
porad nemam telo, ale uz mam hlavu... nobody
Petr Fiedler avatar 8.9. 01:36 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Opět díky.

Pokud si četl výše, tak jsem si zkusil ten Debian, ale tada zapotil jsem se, než jsem to vůbec nainstaloval. Vytvořil jsem 512 MB EFI a hned za tím oddíl a když jsem dal instalovat, tak to hlásilo, že je systémový oddíl posunutý o jednou 512 b, jindy 1024 b. Několikrát jsem to zkoušel, zkoušel jsem to i párkrát formátovat a vytvořit ty oddíly v GParted, ale pořád to stejné. Pak jsem si zapnul asistenci a povedlo se to, ale před EFI je několik MB volného místa. Nechápu. V životě jsem se s ničím podobným nesetkal. A ani nemůžu teď v terminálu zadat sudo. Hlásí to, že nejsem v sudoers a že to bude nahlášeno. A ani mi to nebůtuje člověče. Zapnu ntb, vyvolám bůt menu, vyberu Ubuntu (externí disk) a zůstane to viset na černé obrazovce. Na horním řádku je anglicky napsáno, ať pro nápovědu příkazů stisknu tab a pod tím je: grub > a toť vše. Nabůtoval jsem Mint z té flešky, cos mi s ní pomáhal a vyapdejtoval jsem grub. Bylo vidět položku Debian, ale po restartu zase grub > a hotovo. Tak jsem zase nabůtoval z té flešky a v jejím bůt menu jsem vybral ten Debian. Vypsalo to nějakou chybu a Debian naběhl. Nechápu. Njn, zkrátka to není Mint pro BFU.

IMHO je Debian bezpečnější. Je to vidět i na politice sudo. Zjistil jsem, že v nainstalovaném Cinnamonu je to pro mě opticky dobré. Otázka je, jestli si pomůžu, když si všude přeinsaluji Mint na Debian+Cinnamon, nebo jestli na tom budu stejně? Co myslíš?

8.9. 21:23 Nupi
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Linux, Windows i Mac jsou pro každého ale jen do té chvíle než začneš měnit jejich vnitřnosti. Ve Windows není jen tak lehké ani pozměnit oprávnění, takže nic tak lehce nepoděláš (to není osobní).
k3dAR avatar 8.9. 23:53 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
ano, Windows muze uzivatel nasobne mene upravit k obrazu svemu a zaroven se dokazi nejlepe podelat samovolne ;-)
porad nemam telo, ale uz mam hlavu... nobody
Petr Fiedler avatar 9.9. 00:50 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
... a zaroven se dokazi nejlepe podelat samovolne ;-)

Kdysi to tak rozhodně bylo. Z vlastní zkušenosti, byť jako laik můžu potvrdit, že to tak bylo. Pokud se (v mém případě) často instalovalo/odinstalovávalo, tak systém chátral, až zkonal. Teď už je to úplně někde jinde. Alespoň taková je tedy moje zkušenost. Asi záleží, co na tom kdo dělá.

Petr Fiedler avatar 9.9. 00:05 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
... ale jen do té chvíle než začneš měnit jejich vnitřnosti.

No, já v Linuxu do těch vnitřností chodím proto, abych tomu porozuměl. Jen nechápu, proč jsi mi na můj komentář odpověděl zrovna tohle. Jak to s tím souvisí?

k3dAR avatar 8.9. 23:51 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
ad posunuti - nevim jiste, mam za to ze asistence dela posunuti o 1MB coz by mel delat i parted kdyz to rozdelujes rucne...
ad nestartuje - netusim vubec, normalne by to melo po instalaci dojet, pokud se grub nainstaloval na spravnej disk
ad sudo - Debian se te pri instalaci pta zda CHCES aktivovat/nastavit ucet root:
- pokud ANO, tak se pak NEpouziva "sudo", ale "su" coz nevyuziva sudoers, protoze to natvrdo prepne na root ucet
- pokud NE, tak se pak POuziva "sudo", uzivatele prida do sudoers a root zustane neaktivova/nenastaven, stejne jako v *buntu/mint
porad nemam telo, ale uz mam hlavu... nobody
Petr Fiedler avatar 9.9. 01:08 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
ad posunuti - nevim jiste, mam za to ze asistence dela posunuti o 1MB coz by mel delat i parted kdyz to rozdelujes rucne...

No, právě že je divné, že jsem smazal celý disk a nechal instalátor, ať to rozdělí sám a udělal to tak, že na začátku disku nechal prázdných 33 MB. Ale jedině tak to pak nehlásilo, že to není zarovnané.

ad nestartuje - netusim vubec, normalne by to melo po instalaci dojet, pokud se grub nainstaloval na spravnej disk

Zjistil jsem, že oddíl, na kterém má být Grub je prázdný. Nejsem schopen jej připojit. V GParted není možnost "připojit" aktivní a v terminálu mi to hlásí, že sdc není v /etc/fstab. Snažil jsem se tam přidat řádek pro sdc, ale mám s tím potíže. blkid mi nevypisuje sdc a taky mi to nebere fat32, ani fat. Řádek jsem napsal takhle:

# sdc1 /media/petr
sdc1 /media/petr fat32 defaults 0 0
Připojit mi to ale pořád nejde.

k3dAR avatar 9.9. 19:23 k3dAR | skóre: 51
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
33MB nechane na zacatku je divne, nejsem Debianitsta tak me nic nenapada, kdyztak posli vystup z:
sudo parted /dev/sdTOSDEBIANEM print
"ocuchej" to sdc1 a posli vystup:
sudo file --special-files /dev/sdc1
ohledne pripojeni, jak z radky, tak v fstab, musis uvest celou cestu k zarizeni, tedy ne sdc1 ale /dev/sdc1
ohledne blkid, kdyz ho nepustis pres sudo nezobrazi nic a nenapise error, musis:
sudo blkid /dev/sdc1

#nebo pro vsechny sdc oddily:
sudo blkid /dev/sdc*

#nebo pro vsechny oddily na vsech diskach:
sudo blkid
porad nemam telo, ale uz mam hlavu... nobody
Petr Fiedler avatar 9.9. 21:00 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Díky, že mi chceš pomoci, ale nebude to třeba. Ten Debian jsem smazal a zkusil nainstalovat znovu. Zase to nebylo zarovnané a při asistenci to zase nechalo na začátku disku volné místo. Tak jsem to nechal být. Zítra jdu na lekci IT, tak je tam poprosím, aby mi s tím pomohli. Instalátor Debianu je pro mne mnohem těžší, než Mintu.

Měj se a dík

Petr Fiedler avatar 9.9. 21:14 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Btw: v Mintu mi blkid funguje i bez sudo a taky koukám, že do /etc/fstab jsem místo vfat uvedl fat32.

7.9. 21:23 SpaceExplo | skóre: 6
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Mint 18.3 ma v "Update Manager" pod hornim menu "View" polozku "Linux Kernels" a v ni si muzes vybrat z nekolika ruznych verzi jader.
Petr Fiedler avatar 7.9. 22:11 Petr Fiedler | skóre: 16 | blog: Zápisy - poradna | Brno
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?

Díky za radu. Vím o tom. Je tam těch jader jen pár oproti tomu, co je k dispozici. Poslední je právě již zmíněné 4.15.0.33, což jak jsem tady zjistil, není žádný problém. Mě šlo hlavně o to se naučit jádro instalovat ručně a něco se o tom dozvědět.

7.9. 23:30 SpaceExplo | skóre: 6
Rozbalit Rozbalit vše Re: Mint 18.3 - jak správně aktualizovat jádro?
Ouch, jasne, uz sem to v tom prispevku nasel.
U Mintu specialne bych (ja) spise dal na to, co mi nabizi distribuce.

Jinak osobne beru jadro jako neco, co je nejvic svazano s hardwarem, moc stary na moc novym hardware nebo moc novy na moc starym hardware neni nikdy dobre.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.